export default class {
    private create;
    private elementFactory;
    private elementRegistry;
    private lassoTool;
    private handTool;
    private globalConnect;
    private translate;
    private $inject;
    /**
     * 构造函数
     * @param injector
     */
    constructor(injector: any);
    /**
     * 获取工具列表
     * @param element
     * @returns
     */
    getPaletteEntries(): {
        'tool-separator-1': {
            group: string;
            separator: boolean;
        };
        'hand-tool': {
            group: string;
            className: string;
            title: any;
            action: {
                click: (event: any) => any;
            };
        };
        'lasso-tool': {
            group: string;
            className: string;
            title: any;
            action: {
                click: (event: any) => any;
            };
        };
        'global-connect-tool': {
            group: string;
            className: string;
            title: any;
            action: {
                click: (event: any) => any;
            };
        };
        'tool-separator-2': {
            group: string;
            separator: boolean;
        };
        'create.start-event': {
            group: string;
            className: string;
            title: any;
            action: {
                dragstart: (event: any) => void;
                click: (event: any) => void;
            };
        };
        'create.task': {
            group: string;
            className: string;
            title: any;
            action: {
                dragstart: (event: any) => void;
                click: (event: any) => void;
            };
        };
        'create.end-event': {
            group: string;
            className: string;
            title: any;
            action: {
                dragstart: (event: any) => void;
                click: (event: any) => void;
            };
        };
    };
    /**
     * 开始流程-事件处理
     * @returns
     */
    private createStartListener;
    /**
     * 结束流程-事件处理
     * @returns
     */
    private createEndListener;
    /**
     * 任务流程-事件处理
     * @param type
     * @returns
     */
    private createListener;
}
