import type { ComponentInternalInstance, ExtractPropTypes, VNodeProps, AllowedComponentProps, ComponentCustomProps, Slot, ComponentPublicInstance, ComponentOptionsBase, Ref, ComponentOptionsMixin, DebuggerEvent, nextTick, WatchOptions, WatchStopHandle, ShallowUnwrapRef, ComponentCustomProperties, Plugin } from 'vue';
import MVueFlow from "./index";
export { MVueFlow };
declare const _default: {
    new (...args: any[]): {
        $: ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            defaultValue: string;
            name: string;
            language: Record<string, any>;
        }> & Omit<Readonly<ExtractPropTypes<{
            defaultValue: {
                type: StringConstructor;
                default: string;
            };
            name: {
                type: StringConstructor;
                default: string;
            };
            language: {
                type: ObjectConstructor;
                default: () => {};
            };
        }>> & VNodeProps & AllowedComponentProps & ComponentCustomProps, "defaultValue" | "name" | "language">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: Slot | undefined;
        }>;
        $root: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: ComponentOptionsBase<Readonly<ExtractPropTypes<{
            defaultValue: {
                type: StringConstructor;
                default: string;
            };
            name: {
                type: StringConstructor;
                default: string;
            };
            language: {
                type: ObjectConstructor;
                default: () => {};
            };
        }>>, {
            props: any;
            canvasRef: Ref<any>;
            modeler: Ref<any>;
            properties: any;
            element: any;
            updateValue: (value: {
                [key: string]: any;
            }) => void;
            uploadFile: (params: any) => void;
            downloadFile: () => void;
            centerFile: () => void;
            getValue: () => Promise<any>;
            importXML: (xml: string) => void;
            translate: (template: string, replacements?: any) => string;
        }, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, {
            defaultValue: string;
            name: string;
            language: Record<string, any>;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch(source: string | Function, cb: Function, options?: WatchOptions<boolean> | undefined): WatchStopHandle;
    } & Readonly<ExtractPropTypes<{
        defaultValue: {
            type: StringConstructor;
            default: string;
        };
        name: {
            type: StringConstructor;
            default: string;
        };
        language: {
            type: ObjectConstructor;
            default: () => {};
        };
    }>> & ShallowUnwrapRef<{
        props: any;
        canvasRef: Ref<any>;
        modeler: Ref<any>;
        properties: any;
        element: any;
        updateValue: (value: {
            [key: string]: any;
        }) => void;
        uploadFile: (params: any) => void;
        downloadFile: () => void;
        centerFile: () => void;
        getValue: () => Promise<any>;
        importXML: (xml: string) => void;
        translate: (template: string, replacements?: any) => string;
    }> & {} & ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & ComponentOptionsBase<Readonly<ExtractPropTypes<{
    defaultValue: {
        type: StringConstructor;
        default: string;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    language: {
        type: ObjectConstructor;
        default: () => {};
    };
}>>, {
    props: any;
    canvasRef: Ref<any>;
    modeler: Ref<any>;
    properties: any;
    element: any;
    updateValue: (value: {
        [key: string]: any;
    }) => void;
    uploadFile: (params: any) => void;
    downloadFile: () => void;
    centerFile: () => void;
    getValue: () => Promise<any>;
    importXML: (xml: string) => void;
    translate: (template: string, replacements?: any) => string;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, {
    defaultValue: string;
    name: string;
    language: Record<string, any>;
}> & VNodeProps & AllowedComponentProps & ComponentCustomProps & Plugin;
export default _default;
